
From: Ingo Molnar <mingo@elte.hu>

Make PREEMPT_BKL depend on PREEMPT alone - doesnt make sense to enable it
on SMP && !PREEMPT kernels.  (other than testing.)

Signed-off-by: Ingo Molnar <mingo@elte.hu>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/i386/Kconfig   |    2 +-
 25-akpm/arch/x86_64/Kconfig |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/i386/Kconfig~sched-make-preempt_bkl-depend-on-preempt-alone arch/i386/Kconfig
--- 25/arch/i386/Kconfig~sched-make-preempt_bkl-depend-on-preempt-alone	2005-01-10 20:00:16.036119704 -0800
+++ 25-akpm/arch/i386/Kconfig	2005-01-10 20:00:16.043118640 -0800
@@ -519,7 +519,7 @@ config PREEMPT
 
 config PREEMPT_BKL
 	bool "Preempt The Big Kernel Lock"
-	depends on PREEMPT || SMP
+	depends on PREEMPT
 	default y
 	help
 	  This option reduces the latency of the kernel by making the
diff -puN arch/x86_64/Kconfig~sched-make-preempt_bkl-depend-on-preempt-alone arch/x86_64/Kconfig
--- 25/arch/x86_64/Kconfig~sched-make-preempt_bkl-depend-on-preempt-alone	2005-01-10 20:00:16.038119400 -0800
+++ 25-akpm/arch/x86_64/Kconfig	2005-01-10 20:00:16.042118792 -0800
@@ -251,7 +251,7 @@ config PREEMPT
 
 config PREEMPT_BKL
 	bool "Preempt The Big Kernel Lock"
-	depends on PREEMPT || SMP
+	depends on PREEMPT
 	default y
 	help
 	  This option reduces the latency of the kernel by making the
_
